Bug 16444 - C4::Tags is not plack safe
Summary: C4::Tags is not plack safe
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 7172 16455
  Show dependency treegraph
 
Reported: 2016-05-04 19:20 UTC by Jonathan Druart
Modified: 2017-12-07 22:18 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16444: Make C4::Tags plack safe (2.20 KB, patch)
2016-05-04 19:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16444: Make C4::Tags plack safe (2.12 KB, patch)
2016-05-05 14:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16444: Make C4::Tags plack safe (2.16 KB, patch)
2016-05-10 06:04 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 16444: Make C4::Tags plack safe (2.27 KB, patch)
2016-06-04 07:42 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-05-04 19:20:36 UTC
C4::Tags use a package variable to cache the pref TagsExternalDictionary, it's not needed and not safe.
Comment 1 Jonathan Druart 2016-05-04 19:22:01 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2016-05-05 14:53:39 UTC Comment hidden (obsolete)
Comment 3 Srdjan Jankovic 2016-05-10 06:04:46 UTC Comment hidden (obsolete)
Comment 4 Marcel de Rooy 2016-06-04 06:50:33 UTC
Mine now, qa guys :)
Comment 5 Marcel de Rooy 2016-06-04 07:40:10 UTC
(In reply to Jonathan Druart from comment #1)
> There is not test plan, just make sure the changes are consistent.

These are the best :)
Comment 6 Marcel de Rooy 2016-06-04 07:42:21 UTC
Created attachment 52027 [details] [review]
Bug 16444: Make C4::Tags plack safe

C4::Tags use a package variable to cache the pref
TagsExternalDictionary, it's not needed and not safe.

There is not test plan, just make sure the changes are consistent.

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Brendan Gallagher 2016-06-04 07:54:57 UTC
Pushed to Master - Should be in the November 2016 Release.  Thanks
Comment 8 Frédéric Demians 2016-06-15 07:38:07 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 9 Julian Maurice 2016-06-16 08:24:26 UTC
Patch pushed to 3.22.x, will be in 3.22.8